Identities

Update identity metadata

PATCH
/identity/{identity_code}/metadata

Update identity metadata (tag, gender, age). Only accessible if the user uploaded the identity or is a member of a group that has access.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Path Parameters

identity_code*string

Request Body

application/json
  1. body
name?|

Optional new display name. Must be unique per user (excluding hidden identities).

Defaultnull
tag?|

Optional tag for budget_category purposes.

Defaultnull
gender?|

Gender: must be one of male, female, or non-binary.

Defaultnull
age?|

Age in years.

Defaultnull

Response Body

Successful Response

application/json
  1. response
success*Success
message*Message
name?|
Defaultnull
image_description?|
Defaultnull
curl -X PATCH "https://example.com/identity/string/metadata" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "message": "string",  "name": null,  "image_description": null}